<template>
  <!-- eslint-disable vue/no-v-html -->
  <div class="_writing" v-html="html" />
  <!-- eslint-enable vue/no-v-html -->
</template>

<script>
/**
 * Renders passed markdown string into HTML
 *
 * It relies on the fact the Markdown renderer is available in `window`
 *
 * @preset default { "props": { "content": "# Hello world\n\n Here is _some_ **Markdown** content rendered as HTML with <script>alert('stripped tags')<\/script>" } }
 */
export default {
  name: 'GpMarkdownRenderer',
  props: {
    /** Markdown content */
    content: { required: false, type: String, default: null },
  },
  data () {
    return {
      html: '',
    }
  },
  methods: {
    render () {
      this.html = this.$props.content ? window.markdown(this.$props.content) : ''
    },
  },
  created () {
    this.render()
  },
  watch: {
    content () { this.render() },
  },
}
</script>
